Bug 35363 - Update transfer order pop-up window with consistent footer markup
Summary: Update transfer order pop-up window with consistent footer markup
Status: Passed QA
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: Main
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 34343
Blocks:
  Show dependency treegraph
 
Reported: 2023-11-17 18:03 UTC by Owen Leonard
Modified: 2024-03-22 10:39 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 35363: Update transfer order pop-up window with consistent footer markup (12.11 KB, patch)
2023-11-17 18:09 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35363: Update transfer order pop-up window with consistent footer markup (12.16 KB, patch)
2023-12-04 04:59 UTC, David Nind
Details | Diff | Splinter Review
Bug 35363: Update transfer order pop-up window with consistent footer markup (12.17 KB, patch)
2024-03-22 10:39 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2023-11-17 18:03:55 UTC
I would like to update the transfer order pop-up window in Acquisitions to be consistent with Bug 34343 and its children.
Comment 1 Owen Leonard 2023-11-17 18:09:44 UTC
Created attachment 159104 [details] [review]
Bug 35363: Update transfer order pop-up window with consistent footer markup

This patch updates the "Transfer order" pop-up window so that it has a
fixed footer consistent with other similar pop-up windows.

In order to make navigation between pages within the pop-up window
easier I've added a button in the footer which can take the user back to
the previous step, including any necessary parameters.

To test, apply the patch and go to Acquisitions.

- Locate a vendor with a basket, and a basket with one or more orders.
- On the basket detail page, click the "Transfer" link in the "Modify"
  column.
- In the pop-up window, test each step:
  - Vendor search
  - Vendor selection
  - Basket selection
- Confirm that at any step you can use the new button to go back to the
  previous step.
Comment 2 David Nind 2023-12-04 04:59:16 UTC
Created attachment 159515 [details] [review]
Bug 35363: Update transfer order pop-up window with consistent footer markup

This patch updates the "Transfer order" pop-up window so that it has a
fixed footer consistent with other similar pop-up windows.

In order to make navigation between pages within the pop-up window
easier I've added a button in the footer which can take the user back to
the previous step, including any necessary parameters.

To test, apply the patch and go to Acquisitions.

- Locate a vendor with a basket, and a basket with one or more orders.
- On the basket detail page, click the "Transfer" link in the "Modify"
  column.
- In the pop-up window, test each step:
  - Vendor search
  - Vendor selection
  - Basket selection
- Confirm that at any step you can use the new button to go back to the
  previous step.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2023-12-04 04:59:42 UTC
Nice!
Comment 4 Kyle M Hall 2024-03-22 10:39:07 UTC
Created attachment 163691 [details] [review]
Bug 35363: Update transfer order pop-up window with consistent footer markup

This patch updates the "Transfer order" pop-up window so that it has a
fixed footer consistent with other similar pop-up windows.

In order to make navigation between pages within the pop-up window
easier I've added a button in the footer which can take the user back to
the previous step, including any necessary parameters.

To test, apply the patch and go to Acquisitions.

- Locate a vendor with a basket, and a basket with one or more orders.
- On the basket detail page, click the "Transfer" link in the "Modify"
  column.
- In the pop-up window, test each step:
  - Vendor search
  - Vendor selection
  - Basket selection
- Confirm that at any step you can use the new button to go back to the
  previous step.

Signed-off-by: David Nind <david@davidnind.com>